Merge "Handled the delay in chartmuseum server initialization"
diff --git a/bin/prepare-common-templates b/bin/prepare-common-templates
index bfdd3d2..8743260 100755
--- a/bin/prepare-common-templates
+++ b/bin/prepare-common-templates
@@ -35,6 +35,18 @@
fi
fi
+# Check if servecm plugin is ready to serve request
+command='curl --silent --output /dev/null http://127.0.0.1:8879/charts'
+for i in $(seq 1 5)
+do $command && s=0 && break || s=$? && echo "Error connecting chartmuseum server. Retrying after 5s" && sleep 5;
+done
+
+if [ $s -gt 0 ]
+then
+ echo "Cmd to test chartmuseum failed with ($s): $command"
+ exit $s
+fi
+
# Package common templates and serve it using Helm local repo
if [ $IS_HELM3 ]
then